# https://files.pythonhosted.org/packages/f2/7b/a463b7c3df8ef4b9c92906da29ddc9e464d4045f00c475ad31cdb9a97aae/GeoIP-1.3.2.tar.gz
%define oname GeoIP

Name:           python-geoip
Version:        1.3.2
Release:        %mkrel 3
Summary:        Python bindings for the GeoIP library

URL:            http://www.maxmind.com/app/python
License:        LGPL
Group:          Development/Python
Source0:        %{oname}-%{version}.tar.xz

BuildRequires:  geoip-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
This is the Python API to the GeoIP library that enables the user to
find the country that any IP address or hostname originates from. It
uses a file based database that is accurate as of March 2003. This
database simply contains IP blocks as keys, and countries as
values. This database should be more complete and accurate than using
reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

%package -n python3-geoip
Summary:        Python bindings for the GeoIP library
Group:          Development/Python

%description -n python3-geoip
This is the Python API to the GeoIP library that enables the user to
find the country that any IP address or hostname originates from. It
uses a file based database that is accurate as of March 2003. This
database simply contains IP blocks as keys, and countries as
values. This database should be more complete and accurate than using
reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

%prep
%setup -qn %oname-%version

%build
%py2_build
%py3_build

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitearch}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}

%files
%doc README.rst
%{python2_sitearch}/*

%files -n python3-geoip
%doc README.rst
%{python3_sitearch}/*

%changelog
* Mon Aug 22 2022 tex - 1.3.2-3pclos2022
- rebuild against updates

* Tue Apr 17 2018 marcin82 <fixxer1982 at gmail.com> 1.3.2-2pclos2018
- rebuild with python 3.6.5

* Sun Jul 10 2016 bb <bb> 1.3.2-1pclos2016
- update
